Name:           nvme-cli
Version:        2.9.1
Release:        1
Summary:        NVMe management command line interface

License:        GPLv2+
URL:            https://github.com/linux-nvme/nvme-cli
Source0:        https://github.com/linux-nvme/%{name}/archive/v%{version}.tar.gz

Requires:       libnvme

BuildRequires:	gcc-g++
BuildRequires:	libnvme-devel >= 1.9
BuildRequires:	make
BuildRequires:	meson
BuildRequires:	systemd
BuildRequires:	zlib-devel

%description
nvme-cli provides NVM-Express user space tooling for Linux.

%package_help

%prep
%autosetup -p1

%build
%meson -Ddocs=man -Dsystemddir=%{_unitdir} -Dudevrulesdir=%{_udevrulesdir}
%meson_build

%install
%meson_install

# hostid and hostnqn are supposed to be unique per machine.  We obviously
# can't package them.
rm -f %{buildroot}%{_sysconfdir}/nvme/hostid
rm -f %{buildroot}%{_sysconfdir}/nvme/hostnqn

# Do not install the dracut rule yet.  See rhbz 1742764
rm -f %{buildroot}/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

%files
%license LICENSE
%{_sbindir}/nvme
%{_datadir}/bash-completion/completions/nvme
%{_datadir}/zsh/site-functions/_nvme
%dir %{_sysconfdir}/nvme
%{_sysconfdir}/nvme/discovery.conf
%{_unitdir}/nvmefc-boot-connections.service
%{_unitdir}/nvmf-autoconnect.service
%{_unitdir}/nvmf-connect.target
%{_unitdir}/nvmf-connect@.service
%{_unitdir}/nvmf-connect-nbft.service
%{_udevrulesdir}/70-nvmf-autoconnect.rules
%{_udevrulesdir}/71-nvmf-netapp.rules
%{_udevrulesdir}/65-persistent-net-nbft.rules

%files help
%doc README.md
%{_mandir}/man1/nvme*.gz

%changelog
* Sat May 11 2024 tenglei <tenglei@kylinos.cn> - 2.9.1-1
- Update package to version 2.9.1
- There a lot of small fixes and improvements all over the place
- There are two plugins ssstc and spdk in this release

* Thu Mar 21 2024 panchenbo <panchenbo@kylinsec.com.cn> - 2.8-1
- Update to version 2.8

* Thu Feb 9 2023 Hongtao Zhang <zhanghongtao22@huawei.com> - 2.2.1-2
- Fix meson build failed

* Mon Dec 19 2022 Qiang Wei <qiang.wei@suse.com> - 2.2.1-1
- Update to version 2.2.1.
  * Remove 0001-bash-Fix-nvme-completion.patch, it is fixed in upstream.
  * backport upstream patch: Bash completion: move global declare into function.

* Sat Oct 8 2022 zhanghongtao <zhanghongtao22@huawei.com> - 1.16-2
- bash Fix nvme completion

* Wed Dec 29 2021 baizhonggui <baizhonggui@huawei.com> - 1.16-1
- update to 1.16

* Tue Nov 19 2019 mengxian@huawei.com - 1.6-2
- Package init
